Bug 1671837 - Enable resize admission plugin by default
Summary: Enable resize admission plugin by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.11.z
Assignee: Hemant Kumar
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 20:15 UTC by Hemant Kumar
Modified: 2019-06-26 09:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 09:07:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:08:02 UTC

Description Hemant Kumar 2019-02-01 20:15:47 UTC
We should make sure that resize admission plugin is enabled by default on Openshift-3.11 and e2e test should check resizing when admission is disabled as well.

Comment 2 Hemant Kumar 2019-03-19 16:39:40 UTC
This was fixed by - https://github.com/openshift/origin/pull/21985

Comment 3 Liang Xia 2019-03-20 01:05:14 UTC
PR https://github.com/openshift/origin/pull/21985 merged.

Comment 4 Liang Xia 2019-03-20 01:07:53 UTC
Actually, change log show fix is already in build,

* Sun Feb 10 2019 AOS Automation Release Team <aos-team-art@redhat.com> 3.11.83-1
- Enable resize admission plugin by default (hekumar@redhat.com)

Move to QE to check.

Comment 5 Chao Yang 2019-03-20 07:16:15 UTC
It is passed on
oc v3.11.98
kubernetes v1.11.0+d4cacc0
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://qe-chaoyang-master-etcd-1.int.0320-vap.qe.rhcloud.com:8443
openshift v3.11.98
kubernetes v1.11.0+d4cacc0

1.oc get sc -o yaml
apiVersion: v1
items:
- allowVolumeExpansion: true
  apiVersion: storage.k8s.io/v1
  kind: StorageClass
  metadata:
    creationTimestamp: 2019-03-20T01:09:31Z
    name: glusterfs-storage
    namespace: ""
    resourceVersion: "58108"
    selfLink: /apis/storage.k8s.io/v1/storageclasses/glusterfs-storage
    uid: d168bb34-4aac-11e9-b259-fa163eb4a25d
  parameters:
    resturl: http://heketi-storage.glusterfs.svc:8080
    restuser: admin
    secretName: heketi-storage-admin-secret
    secretNamespace: glusterfs
  provisioner: kubernetes.io/glusterfs
  reclaimPolicy: Delete
  volumeBindingMode: Immediate
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
2.oc get pvc
NAME      STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS        AGE
pvc       Bound     pvc-a2d81c89-4ada-11e9-93bc-fa163eb4a25d   1Gi        RWO            glusterfs-storage   5s
3.Create a pod
4.oc edit pvc and update the request storage size to 2Gi
5.oc get pvc
NAME      STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS        AGE
pvc       Bound     pvc-a2d81c89-4ada-11e9-93bc-fa163eb4a25d   2Gi        RWO            glusterfs-storage   1m

Comment 7 errata-xmlrpc 2019-06-26 09:07:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.